# class NamedInt | A named integer value. More...
Full name | `TelEngine::NamedInt`
Definition | `#include <yatecbase.h>`
Inherits | TelEngine::String [public ]
List of all Methods
Annotated List
Files
Globals
Hierarchy
Index

#### Public Methods

- inline NamedInt (const char* name, int val = 0)
- inline NamedInt (const NamedInt& other)
- inline int value () const
- inline void setValue (int val)

#### Public Static Methods

- static void addToListUniqueName (ObjList& list, NamedInt* obj)
- static void clearValue (ObjList& list, int val)
- static inline int lookup (const ObjList& list, const String& name, int defVal = 0)
- static inline const String& lookupName (const ObjList& list, int val, const String& defVal = String::empty())

#### Protected Members

- int m_value

## Detailed Description

This class holds a name integer value

inline NamedInt (const char* name, int val = 0) | ### NamedInt

Constructor

Parameters:

name | Name
val | The value

inline NamedInt (const NamedInt& other) | ### NamedInt

Copy constructor

Parameters:

other | Source object

inline int value () | ### value

[const]

Retrieve the value

Returns: The integer value

inline void setValue (int val) | ### setValue

Set the value

Parameters:

val | The new integer value

void addToListUniqueName (ObjList& list, NamedInt* obj) | ### addToListUniqueName

[static]

Add an item to a list. Replace existing item with the same name

Parameters:

list | The list
obj | The object

void clearValue (ObjList& list, int val) | ### clearValue

[static]

Clear all items with a given value

Parameters:

list | The list
val | Value to remove

inline int lookup (const ObjList& list, const String& name, int defVal = 0) | ### lookup

[static]

Get an item's value from name

Parameters:

list | The list containing the item
name | Item name
defVal | Value to return if not found

Returns: Item value

inline const String& lookupName (const ObjList& list, int val, const String& defVal = String::empty()) | ### lookupName

[static]

Get an item's name from value

Parameters:

list | The list containing the item
val | Item value
defVal | Name to return if not found

Returns: Item name

int m_value | ### m_value

[protected]

Generated by: paulc on bussard on Fri May 8 12:37:22 2015, using kdoc 2.0a54.